Pamdice-Benutzerhandbuch(1)

BEZEICHNUNG
pamdice - Zerschneidet ein Netpbm-Bild horizontal und/oder vertikal

BEISPIEL

     $ pamdice meinBild.ppm -outstem=meinBild_Teil -width=10 -height=8
     $ pamundice meinBild_Teil_%1d_%1a.ppm -across=10 -down=8 >meinBild.ppm

    $ pamdice meinBild.ppm -outstem=meinBild_Teil -height=12 -voverlap=9

    $ pamdice meinBild.ppm -width=10 -height=8 -listfile=Kacheln.txt meinBild.ppm
    $ pamundice -across=10 -down=4 -listfile=Kacheln.txt >meinBild.ppm

    $ pamdice meinBild.ppm -width=10 -height=8 -outstem=meinBild_Teil \         -indexfile=Kacheln.pam meinBild.ppm
    $ pamundice meinBild_Teil_%1d_%1a.ppm  -across=10 -down=8 \
        -indexfile=Kacheln.pam >meinBild.ppm

     $ pamdice meinBild.ppm -outstem=meinBild_Teil -width=10 -height=8
     $ pamundice meinBild_Teil_%1d_%1a.ppm -across=10 -down=8 >meinBild.ppm

ÜBERSICHT

pamdice

-outstem=Dateinamenstamm

[-width=Breite]

[-height=Höhe]

[-hoverlap=hÜberlappung]

[-voverlap=vÜberlappung]

[-numberwidth=N]

[-listfile=Textdateiname]

[-indexfile=PAMDateiname

[-dry-run]

[-verbose]

[Dateiname]

Sie können Optionen auf ihren kürzesten eindeutigen Präfix abkürzen. Sie können zur Kennzeichnung von Optionen auch zwei anstatt nur eines Bindestrichs verwenden. Sie können den Namen der Option und ihren Wert durch Leerzeichen anstatt eines Gleichheitszeichens trennen.

BESCHREIBUNG

Dieses Programm ist Teil von netpbm(1).

pamdice liest ein PAM-, PBM-, PGM- oder PPM-Bild als Eingabe und teilt es horizontal oder vertikal in gleichgroße Stücke auf. Es schreibt die Stücke in verschiedene Dateien vom Typ des Eingabebildes. Optional können Sie die Stücke überlappen lassen.

Bei der Option -outstem finden Sie Informationen zur Benennung der Ausgabedateien.

Die Optionen -width und -height bestimmen die Größe der erzeugten Teilstücke.

pamundice(1) kann Bilder wieder zusammensetzen. Für feinere Einstellmöglichkeiten können Sie auch pamcat(1) verwenden.

Eine Anwendung besteht darin, kleinere Stücke zu erzeugen, die zur Verarbeitung weniger Computer-Ressourcen benötigen, als das gesamte Bild. Sie könnten beispielsweise ein Bild haben, das so groß ist, dass eine Bildverarbeitung es nicht komplett in den Speicher einlesen kann, oder dass die Verarbeitung sehr langsam abläuft. Mittels pamdice können Sie es in kleine Stücke aufteilen, diese einzeln verarbeiten, und die Ergebnisse wieder zusammensetzen.

Eine weitere Anwendung ist der Ausdruck eines großen Bildes in druckergerechten Teilen, die Sie zusammenkleben können. ppmglobe(1) leistet etwas ähnliches; es erlaubt Ihnen, die Einzelteile räumlich zu einer Sphäre zusammenzukleben.

Verwenden Sie pamcut(1), wenn Sie Teile nicht aus einem regelmäßigen Raster, sondern als einzelne Stücke ausschneiden wollen.

OPTIONEN

Zusätzlich zu den Optionen, die alle auf libnetpbm-basierenden Programme gemeinsam haben (insbesondere -quiet, siehe gemeinsame Optionen (index.html#commonoptions) ), akzeptiert pamdice die folgenden Befehlszeilenoptionen:

-outstem=Dateinamenstamm
    Diese Option legt die Namen der Ausgabedateien fest. Jede Ausgabedatei hat den Namen Dateinamenstamm_y_x.Typ. Dabei ist Dateinamenstamm der Wert der Option -outstem. x ist die horizontale Koordinate und y die vertikale Koordinate. Der Nullpunkt der Koordinaten liegt links oben. Typ ist abhängig vom Bild .pbm, .pgm, .ppm oder .pam.

    x und y werden mit führenden Nullen aufgefüllt, so dass sie in jeder Datei die gleiche Breite haben. Verwenden Sie -numberwidth zur Angabe dieser Breite. Andernfalls ist die Vorgabe die minimale Breite, die für alle Dateien funktioniert. Falls Sie beispielsweie 25 Teilstücke in der Breite haben und kein -numberwidth angeben, ist x zwei Ziffern für alle Ausgabedateien. Das Teilstück am linken Rand wird mit »00« benummert, die nächste ist »01« usw. Mit -numberwidth=3 ist x »000«, »001«, usw.

-numberwidth=N
    Diese Option bestimmt die Breite der Zahlen in den Ausgabedateinamen. Siehe die Option -outstem zu Details.

    Es ist nicht zulässig, eine Breite anzugeben, die kleiner als notwendig ist, um alle Teilstücke darzustellen.

    Diese Option ist in Netpbm 11.10 (März 2025) hinzugekommen.

-width=Breite
    Die Breite des Ausgabebildes in Pixel. Wenn die Breite des Eingabebildes kein ganzzahliges Vielfaches von Breite ist, sind die ganz rechten Teile entsprechend schmaler.

-height=Höhe
    Die Höhe des Ausgabebildes in Pixel. Wenn die Höhe des Eingabebildes kein ganzzahliges Vielfaches von Höhe ist, sind die untersten Teile entsprechend schmaler.

-hoverlap=hÜberlappung
    Die horizontale Überlappung zwischen den Ausgabebildern in Pixel. Jedes Bild in einer Reihe überlappt das vorherige Bild mit hÜberlappung Pixel. In der Voreinstellung gibt es keine Überlappung.

    Diese Option ist in Netpbm 10.23 (Juli 2004) hinzugekommen.

-voverlap=vÜberlappung
    Die vertikale Überlappung zwischen den Ausgabebildern in Pixel. Jedes Bild in einer Reihe überlappt das vorherige Bild mit vÜberlappung Pixel. In der Voreinstellung gibt es keine Überlappung.

    Diese Option ist in Netpbm 10.23 (Juli 2004) hinzugekommen.

-listfile=Textdateiname
    Dies führt dazu, dass das Programm eine Datei erstellt, die die Namen aller von ihm erstellten Kacheldateien aufführt. Die Datei ist in der »Zeilen-zuerst«-Reihenfolge. Beispielsweise erstellt

    $ pamdice -width=100 -height=100 -outstem=meinBild_Teil -listfile=meineliste.txt \ -numberwidth=3 meinBild.ppm

    auf einem 200x200-Bild die Datei mylist.txt, die folgendes enthält:

           meinBild_Teil_000_000.ppm
        meinBild_Teil_000_001.ppm
        meinBild_Teil_001_000.ppm
        meinBild_Teil_001_001.ppm

    Sie können diese Listendatei mit pamundice -listfile anstelle eines Arguments für ein Eingabedateinamenmuster verwenden. Damit können Sie sich den Ärger der Koordinierung der Muster vermeiden, die bei Aufrufen von pamdice und pamundice(1) verwandt werden.

    Diese Option ist in Netpbm 11.10 (März 2025) hinzugekommen.

-indexfile=PAMDateiname
    Führt dazu, dass das Programm eine Datei erstellt, die ein pam(5)-Bild enthält, das Zeilen und Spaltennummern für die Kacheln enthält. Es ist einfach ein Bild, dessen Breite und Höhe die Anzahl der horizontalen bzw. vertikalen Teilstücken sind. Dabei ist jedes Tupel einfach die Zeilen und Spaltennummer dieses Tupels. Falls pamdice beispielsweise 3 Teilstücke Breite und 2 nach unten erzeugt, sieht das Bild wie folgt aus:

            (0,0) (0,1) (0,2)
            (1,0) (1,1) (1,2)

    Die Tiefe des Bildes ist 2, der Typeltyp ist »grid_coord« (ein für die Verwendung mit pamdice und pamundice(1) erfundenes Format) und der Maximalwert ist 255, außer die Höhe oder Breite ist größer als 256, dann ist er 65535.

    Dieses Bild kann als Eingabe für pamundice(1) nützlich sein, insbesondere nach der Durchführung von Umwandlungen. Das beste Beispiel ist das Umdrehen eines großen Bildes. Sie können das Bild mit pamdice in Würfel schneiden, dann jede der erstellten Kacheln umdrehen (mit pamflip(1)), dann das Indexbild umdrehen (wieder mit pamflip(1)), dann pamundice(1) mit dem umgedrehten Kacheln und den umgedrehten Indexbild verwenden, um eine umgedrehte Version des ursprünglichen großen Bildes zu erstellen.

    Diese Option ist in Netpbm 11.10 (März 2025) hinzugekommen.

-dry-run
    Damit überspringt pamdice die Erstellung der Ausgabekachelbilder. Es erzeugt weiterhin die Listendatei (mit -listfile) und die Index-Datei (mit -indexfile) und prüft auf die meisten Fehler.

    Diese Option ist in Netpbm 11.10 (März 2025) hinzugekommen.

-verbose
    Gibt Ausgaben über die Verarbeitung auf der Standardfehlerausgabe aus.

GESCHICHTE

pamdice ist in Netpbm 9.25 (März 2002) hinzugekommen.

Vor Netpbm 10.29 (August 2005) gab es eine Begrenzung auf 100 Teilstücke in jede Richtung.

SIEHE AUCH
pamundice(1), pamcut(1), pamcat(1), pgmslice(1), ppmglobe(1), pamflip(1), pnm(1), pam(1)

URSPRUNG DES DOKUMENTS
Diese Handbuchseite wurde vom Netpbm-Werkzeug »makeman« aus der HTML-Quelle erstellt. Das Hauptdokument befindet sich unter

    http://netpbm.sourceforge.net/doc/pamdice.html

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.